#
# Copyright (C) 2002-2003 Hewlett-Packard Co
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
# This file is part of libpfm, a performance monitoring support library for
# applications on Linux/ia64.
#

#
# This file defines the global compilation settings.
# It is included by every Makefile
#
#

#
# Where should things go in the end. the package will put things in lib and
# bin under this base.
#
DESTDIR=/usr/local

#
# XXX: should split library and pfmon packages
#

# Configuration Paramaters for libpfm library
CONFIG_PFMLIB_GENERIC_IA64=y
CONFIG_PFMLIB_ITANIUM=y
CONFIG_PFMLIB_ITANIUM2=y

#
# optimization level
#
OPTIM=-O2

#
# you shouldn't have to touch anything beyond this point
#

#
# The entire package can be compiled using 
# ecc the Intel Itanium Compiler (7.x or 8.x)
# gcc-3.2, 3.4, 3.1
#
#CC=icc
CC=gcc -Wall

CFLAGS=$(OPTIM) -g $(CONFIG_FLAGS)
LDFLAGS=-L$(TOPDIR)/libpfm
MKDEP=makedepend


LIBS=
INSTALL=install
LN=ln -sf
PFMINCDIR=$(TOPDIR)/include
PFMLIBDIR=$(TOPDIR)/lib
